#include "imageaes.h"
#include <string.h>

bmp_t* LoadBmpFromFile2(const char* filename) {
	char* dot;
	dot=strrchr(filename,'.');
	if(dot) {
		if(lstrcmpi(dot+1,"bmp")==0) {
			return bmpLoad(filename);
		} else if(lstrcmpi(dot+1,"jpg")==0 ||
				lstrcmpi(dot+1,"jpeg")==0) {
			return loadJpeg(filename);
		} else if(lstrcmpi(dot+1,"png")==0) {
			return loadPng(filename);
		}
	}
	return NULL;
}

bmp_t* LoadBmpFromFile(HWND hWnd) {
	OPENFILENAME ofn={0};
	char filename[1000]={0};
	bmp_t* inputbmp;
	ofn.lStructSize=sizeof(ofn);
	ofn.hwndOwner=hWnd;
	ofn.lpstrFilter="Ή摜t@C(*.bmp;*.jpg;*.jpeg;*.png)\0*.bmp;*.jpg;*.jpeg;*.png\0"
		"rbg}bvt@C(*.bmp)\0*.bmp\0"
		"jpegt@C(*.jpg;*.jpeg)\0*.jpg;*.jpeg\0"
		"pngt@C(*.png)\0*.png\0\0";
	ofn.nFilterIndex=1;
	ofn.lpstrFile=filename;
	ofn.nMaxFile=sizeof(filename);
	ofn.Flags=OFN_CREATEPROMPT | OFN_FILEMUSTEXIST |
		OFN_HIDEREADONLY | OFN_NOCHANGEDIR | OFN_PATHMUSTEXIST;
	ofn.lpstrDefExt="bmp";
	if(!GetOpenFileName(&ofn))return NULL;
	inputbmp=LoadBmpFromFile2(filename);
	if(!inputbmp)MessageBox(hWnd,
		"ǂݍ݂Ɏs܂B","G[",MB_OK | MB_ICONWARNING);
	return inputbmp;
}

void SaveBmpToFile(HWND hWnd,bmp_t* bmp) {
	OPENFILENAME ofn={0};
	char filename[1000]={0};
	ofn.lStructSize=sizeof(ofn);
	ofn.hwndOwner=hWnd;
	ofn.lpstrFilter="rbg}bvt@C(*.bmp)\0*.bmp\0"
		"PNGt@C(*.png)\0*.png\0" 
		"ׂẴt@C(*.*)\0*.*\0\0";
	ofn.nFilterIndex=1;
	ofn.lpstrFile=filename;
	ofn.nMaxFile=sizeof(filename);
	ofn.Flags=OFN_HIDEREADONLY | OFN_NOCHANGEDIR |
		OFN_OVERWRITEPROMPT | OFN_PATHMUSTEXIST;
	ofn.lpstrDefExt="bmp";
	if(GetSaveFileName(&ofn)) {
		if(lstrcmpi(&filename[ofn.nFileExtension],"png")==0) {
			if(!savePng(bmp,filename))MessageBox(hWnd,
				"݂Ɏs܂B","G[",MB_OK | MB_ICONWARNING);
		} else {
			if(!bmpSave(bmp,filename,BMP_FULL,0,NULL))MessageBox(hWnd,
				"݂Ɏs܂B","G[",MB_OK | MB_ICONWARNING);
		}
	}
}
