#include "imageaes.h"

void setCryptMethod(HWND hWnd,int method) {
	MENUITEMINFO mii={0};
	mii.cbSize=sizeof(mii);
	mii.fMask=MIIM_STATE;
	mii.fState=MFS_UNCHECKED;
	SetMenuItemInfo(GetMenu(hWnd),IDM_USE_AES,MF_BYCOMMAND,&mii);
	SetMenuItemInfo(GetMenu(hWnd),IDM_USE_DES,MF_BYCOMMAND,&mii);
	SetMenuItemInfo(GetMenu(hWnd),IDM_USE_XOR,MF_BYCOMMAND,&mii);
	SetMenuItemInfo(GetMenu(hWnd),IDM_USE_SEASOR,MF_BYCOMMAND,&mii);
	password.crypttype=method;
	mii.fState=MFS_CHECKED;
	switch(method) {
		case CRYPT_AES:
			SetMenuItemInfo(GetMenu(hWnd),IDM_USE_AES,MF_BYCOMMAND,&mii);
			break;
		case CRYPT_DES:
			SetMenuItemInfo(GetMenu(hWnd),IDM_USE_DES,MF_BYCOMMAND,&mii);
			break;
		case CRYPT_XOR:
			SetMenuItemInfo(GetMenu(hWnd),IDM_USE_XOR,MF_BYCOMMAND,&mii);
			break;
		case CRYPT_SEASOR:
			SetMenuItemInfo(GetMenu(hWnd),IDM_USE_SEASOR,MF_BYCOMMAND,&mii);
			break;
	}
}
