#include <windows.h>
#include "bmpio.h"
#include "resource.h"

enum {
	CRYPT_AES,
	CRYPT_DES,
	CRYPT_XOR,
	CRYPT_CAESAR
};

typedef struct {
	char* password;
	int passwordishex;
	int showpassword;
	int crypttype;
} password_t;

extern password_t password;
extern HINSTANCE hInst;

/*md5.c*/
void GetMD5(const unsigned char* Buf,unsigned int Size,unsigned char* MD5);

/*bmpfileio.c*/
bmp_t* LoadBmpFromFile2(const char* filename);
bmp_t* LoadBmpFromFile(HWND hWnd);
void SaveBmpToFile(HWND hWnd,bmp_t* bmp);

/*menuenable.c*/
void SetMenuEnable(HWND hWnd,int enable);

/*bmpcrypt.c*/
bmp_t* EncryptBmp(HWND hWnd,bmp_t* bmp);
bmp_t* DecryptBmp(HWND hWnd,bmp_t* bmp);

/*jpegload.c*/
bmp_t* loadJpeg(const char* filename);

/*pngio.c*/
bmp_t* loadPng(const char* filename);
int savePng(const bmp_t* bmp,const char* filename);

/*menuenable.c*/
void setCryptMethod(HWND hWnd,int method);

/*crypt.c*/
void data_encrypt(unsigned char* outputbuf,
	const unsigned char* inputbuf,
	const unsigned char* key,int keylength);
void data_decrypt(unsigned char* outputbuf,
	const unsigned char* inputbuf,
	const unsigned char* key,int keylength);
